@import "/src/sass/global";

.blogCard {
  position: relative;

  width: calc((100% - 4rem) / 3);

  display: grid;
  grid-template-columns: 1rem auto 1rem;
  grid-template-rows:
    16rem
    minmax(12rem, auto);

  grid-template-areas:
    "banner banner  banner"
    ".      content .";

  background-color: white;
  color: black !important;
  box-shadow: 0 0 4px 4px rgba($color: gray, $alpha: 0.1);

  border-radius: 0.6rem;
  overflow: hidden;

  &:hover .detailText {
    opacity: 1;
    transition: opacity 0.2s linear;
  }

  @include respondTo(tablet) {
    width: calc((100% - 4rem) / 2);
  }
  @include respondTo(mobile) {
    width: 100%;
  }

  .detailText {
    position: absolute;
    top: 0;

    width: 100%;
    height: 100%;

    display: grid;
    place-items: center;

    background-color: rgba($color: black, $alpha: 0.48);
    color: white;

    opacity: 0;
  }

  &__banner {
    grid-area: banner;

    width: 100%;
    height: 100%;

    object-fit: cover;
  }

  &__content {
    grid-area: content;

    display: flex;
    flex-direction: column;

    &-heading {
      display: flex;
      align-items: center;
      gap: 1rem;

      margin-top: 0.6rem;

      &-icon {
        width: 3.6rem;
        height: 3.6rem;

        background-color: #e1e1e1;
        border-radius: 100%;

        padding: 0.4rem;
      }

      &-date {
        color: gray;
        font-size: 14px;
      }
    }

    &-text {
      line-height: 1.2;
      text-align: justify;

      margin-block: 0.4rem;
    }
  }
}
